#region Automated Server Staff Acknowledgements
//Completely Automated Staff Team - By Tresdni - Please leave this header :)  I worked hard on this system!
//This had no header on it when I found it, but credit goes to whomever wrote the suggestion box script.  I yanked it to go with our bots.  Thank you!
#endregion Edited By: A.A.R

using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Text;
using Server;
using Server.Targeting;
using Server.ContextMenus;
using Server.Gumps;
using Server.Items;
using Server.Commands;
using Server.Misc;
using Server.Network;
using Server.Spells;
using Server.Accounting;


namespace Server.Items
{
	public class StuckGate : Moongate
	{
		private bool m_Decays;
		private DateTime m_DecayTime;
		private Timer m_Timer;


		[Constructable]
		public StuckGate() : this( true )
		{
		}

		[Constructable]
		public StuckGate( bool decays, Point3D loc, Map map ) : this( decays )
		{
			MoveToWorld( loc, map );
			Effects.PlaySound( loc, map, 0x20E );
		}

		[Constructable]
		public StuckGate( bool decays ) : base( new Point3D( 1483, 1617, 20 ), Map.Trammel)
		{
			Dispellable = false;
			ItemID = 0x1FD4;
            Name = "Stuck Gate";
            Hue = 39;  //It's red.

			if ( decays )
			{
				m_Decays = true;
				m_DecayTime = DateTime.Now + TimeSpan.FromSeconds( 30 );

				m_Timer = new InternalTimer( this, m_DecayTime );
				m_Timer.Start();
			}
		}

        public StuckGate(Serial serial) : base(serial)
		{
		}

		public override void OnAfterDelete()
		{
			if ( m_Timer != null )
				m_Timer.Stop();

			base.OnAfterDelete();
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); 

			writer.Write( m_Decays );

			if ( m_Decays )
				writer.WriteDeltaTime( m_DecayTime );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			switch ( version )
			{
				case 0:
				{
					m_Decays = reader.ReadBool();

					if ( m_Decays )
					{
						m_DecayTime = reader.ReadDeltaTime();

						m_Timer = new InternalTimer( this, m_DecayTime );
						m_Timer.Start();
					}

					break;
				}
			}
		}

		private class InternalTimer : Timer
		{
			private Item m_Item;

			public InternalTimer( Item item, DateTime end ) : base( end - DateTime.Now )
			{
				m_Item = item;
			}

			protected override void OnTick()
			{
				m_Item.Delete();
			}
		}
	}
}