#region Automated Server Staff Acknowledgements
//Completely Automated Staff Team - By Tresdni - Please leave this header :)  I worked hard on this system!
#endregion Edited By: A.A.R

using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Text;
using Server;
using Server.Targeting;
using Server.ContextMenus;
using Server.Gumps;
using Server.Items;
using Server.Commands;
using Server.Misc;
using Server.Network;
using Server.Spells;
using Server.Accounting;

namespace Server.Mobiles
{
	[CorpseName( "a staff member's corpse" )]
    public class StaffMember : BaseCreature
	{
        private DateTime HelpBegin = DateTime.Now;

        #region Total Amount Of Time The Staff Member Will Remain With The Player

        public TimeSpan HelpTime{ get{ return TimeSpan.FromMinutes( 10 ); } } //Set To 10 Minutes

        #endregion Edited By: A.A.R

        private bool m_Talked;
		private bool m_Gated;

        #region Greeting The Staff Member Will Give When Summoned To Meet A Player

        string[] staffmembergreet = new string[]
		    { 				
		        "Hail Friend, how may I assist thee?"       
			};

        #endregion Edited By: A.A.R

        [Constructable]
		public StaffMember() : base( AIType.AI_Animal, FightMode.None, 10, 1, 0.2, 0.4 )
		{		
			
			Title = "[GM]";
			CantWalk = true;
			Hue = Utility.RandomSkinHue();
			SpeechHue = Utility.RandomDyedHue();
			NameHue = 11;
			Blessed = true;
			
			if( this.Female = Utility.RandomBool() )
			{
				this.Body = 0x191;
				this.Name = NameList.RandomName( "female" );
			}
			else
			{
				this.Body = 0x190;
				this.Name = NameList.RandomName( "male" );
			}

			GMRobe robe = new GMRobe();
			robe.AccessLevel = AccessLevel.GameMaster;
			robe.Hue = 1157;
			robe.LootType = LootType.Blessed;
			AddItem(robe);		

		}

        public override void OnMovement(Mobile m, Point3D oldLocation)
        {
            if ( ( ( HelpBegin + HelpTime) <= DateTime.Now ) )
			{
				this.Delete();
			}
        
			if (m_Talked == false)
            {
                if (m.InRange(this, 4))
                {
                    m_Talked = true;
                    SayRandom(staffmembergreet, this);
					m.SendMessage ("Please Use The Keywords List To Get The Help That You Need.");
                }
            }
		}
		
        private static void SayRandom(string[] say, Mobile m)
        {
            m.Say(say[Utility.Random(say.Length)]);
        }
        public StaffMember(Serial serial) : base(serial)
		{
		}
        
        public override bool HandlesOnSpeech( Mobile from )
        {
            if ( from.InRange( this.Location, 5 ) )
            return true;
            
            return base.HandlesOnSpeech( from );
        }

        #region Interactions Between Players And Staff Members - Based On Keywords

        public override void OnSpeech(SpeechEventArgs args)
        {

            string said = args.Speech.ToLower();
            Mobile from = args.Mobile;
            switch (said)
            {

                #region Keyword Listing - A Quick Reference
                /*   
                            > skillcap
                            > statcap
                            > stuck
                            > donate
                            > playguide
                            > skills
                            > bestiary
                            > report staff
                            > website
                            > suggestion
                            > hiring
                            > report player             
                */
                #endregion Edited By: A.A.R

                #region What Is The Skill Cap On This Server?
                //Helps Players Figure Out What The Skill Cap Is

                case ("skillcap"):
                    {
                        Say(String.Format("Our server currently has a maximum skillcap of 840.", args.Mobile.Name));
                        Say(String.Format("There are no plans to increase this number.", args.Mobile.Name));
                        Say(String.Format("This allows players to set all 7 skills to 120.", args.Mobile.Name));
                        break;
                    }

                #endregion Edited By: A.A.R

                #region What Is The Stat Cap On This Server?
                //Helps Players Figure Out What The Stat Cap Is

                case ("statcap"):
                    {
                        Say(String.Format("Our server currently has a maximum statcap of 300.", args.Mobile.Name));
                        Say(String.Format("There are no plans to increase this number.", args.Mobile.Name));
                        Say(String.Format("This allows players to set all 3 stats to 100.", args.Mobile.Name));
                        break;
                    }

                #endregion Edited By: A.A.R

                #region Help! I'm Stuck!! Lemme Outta Here!!!
                //Assists Players In Finding Their Way After Getting Lost

                case ("stuck"):
                    {
                        if (m_Gated == false)
                        {
                            m_Gated = true;
                            StuckGate sg = new StuckGate();
                            sg.Location = args.Mobile.Location;
                            sg.Map = args.Mobile.Map;
                            Say(String.Format("Stuck, huh?! This gate will transport you to safety.", args.Mobile.Name));
                            break;
                        }
                        Say(String.Format("I've already sent you a gate out of here, please be patient.", args.Mobile.Name));
                        Say(String.Format("My mana won't regenerate for thirty minutes.", args.Mobile.Name));
                        break;
                    }

                #endregion Edited By: A.A.R

                #region How Can I Donate To Your Server?
                //Makes It Easier For Players To Donate Funds To Your Server

                case ("donate"):
                    {
                        Say(String.Format("Donations are very welcome, but not required to play.", args.Mobile.Name));
                        Say(String.Format("Money received helps keep this server stable and lag free!", args.Mobile.Name));
                        Say(String.Format("Contributors receive special priviledges and incentives", args.Mobile.Name));
                        Say(String.Format("For more information please visit our website. Thank you.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/donationpage");
                        break;
                    }

                #endregion Edited By: A.A.R

                #region How Do I...? I Need Some Assistance!! Anyone?!
                //Directs Players To Your Servers Online PlayGuide For Assistance
       
                case ("playguide"):
                    {
                        Say(String.Format("'Tis good to keep up-to-date on things {0}.", args.Mobile.Name));
                        Say(String.Format("Allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide");
                        break;
                    }

                case ("skills"):
                    {
                        Say(String.Format("My apologies {0}, I am forbidden to assist thee with skill training.", args.Mobile.Name));   
                        Say(String.Format("However, If you tell me the name of the skill you're having issues with,", args.Mobile.Name));
                        Say(String.Format("then I'll be more than happy to redirect you to our online skill guide.", args.Mobile.Name));
                        break;
                    }

                #region Player Skill Guide References

                case ("alchemy"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/alchemy");
                        break;
                    }

                case ("anatomy"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/anatomy");
                        break;
                    }

                case ("animal lore"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/animallore");
                        break;
                    }

                case ("animal taming"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/animaltaming");
                        break;
                    }

                case ("archery"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/archery");
                        break;
                    }

                case ("armslore"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/armslore");
                        break;
                    }

                case ("begging"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/begging");
                        break;
                    }

                case ("blacksmithy"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/blacksmithy");
                        break;
                    }

                case ("bowcraft"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/bowcraft");
                        break;
                    }

                case ("fletching"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/fletching");
                        break;
                    }

                case ("bushido"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/bushido");
                        break;
                    }

                case ("camping"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/camping");
                        break;
                    }

                case ("carpentry"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/carpentry");
                        break;
                    }

                case ("cartography"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/cartography");
                        break;
                    }

                case ("chivalry"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/chivalry");
                        break;
                    }

                case ("cooking"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/cooking");
                        break;
                    }

                case ("detect hidden"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/detecthidden");
                        break;
                    }

                case ("discordance"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/discordance");
                        break;
                    }

                case ("evaluating intelligence"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/evaluatingintelligence");
                        break;
                    }

                case ("fencing"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/fencing");
                        break;
                    }

                case ("fishing"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/fishing");
                        break;
                    }

                case ("focus"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/focus");
                        break;
                    }

                case ("forensic evaluation"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/forensicevaluation");
                        break;
                    }

                case ("healing"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/healing");
                        break;
                    }

                case ("herding"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/herding");
                        break;
                    }

                case ("hiding"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/hiding");
                        break;
                    }

                case ("imbuing"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/imbuing");
                        break;
                    }

                case ("inscription"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/inscription");
                        break;
                    }

                case ("item identification"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/itemidentification");
                        break;
                    }

                case ("lockpicking"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/lockpicking");
                        break;
                    }

                case ("lumberjacking"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/lumberjacking");
                        break;
                    }

                case ("macefighting"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/macefighting");
                        break;
                    }

                case ("magery"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/magery");
                        break;
                    }

                case ("meditation"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/meditation");
                        break;
                    }

                case ("mining"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/mining");
                        break;
                    }

                case ("musicianship"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/musicianship");
                        break;
                    }

                case ("mysticism"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/mysticism");
                        break;
                    }

                case ("necromancy"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/necromancy");
                        break;
                    }

                case ("ninjitsu"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/ninjitsu");
                        break;
                    }

                case ("parrying"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/parrying");
                        break;
                    }

                case ("peacemaking"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/peacemaking");
                        break;
                    }

                case ("poisoning"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/poisoning");
                        break;
                    }

                case ("provocation"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/provocation");
                        break;
                    }

                case ("removetrap"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/removetrap");
                        break;
                    }

                case ("resisting spells"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/resistingspells");
                        break;
                    }

                case ("snooping"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/snooping");
                        break;
                    }

                case ("spellweaving"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/spellweaving");
                        break;
                    }

                case ("spiritspeak"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/spiritspeak");
                        break;
                    }

                case ("stealing"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/stealing");
                        break;
                    }

                case ("stealth"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/stealth");
                        break;
                    }

                case ("swordsmanship"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/swordsmanship");
                        break;
                    }

                case ("tactics"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/tactics");
                        break;
                    }

                case ("tailoring"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/tailoring");
                        break;
                    }

                case ("taste identification"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/tasteidentification");
                        break;
                    }

                case ("throwing"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/throwing");
                        break;
                    }

                case ("tinkering"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/tinkering");
                        break;
                    }

                case ("tracking"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/tracking");
                        break;
                    }

                case ("veterinary"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/veterinary");
                        break;
                    }

                case ("wrestling"):
                    {
                        Say(String.Format("Thank you {0}, allow me to redirect you to our online playguide.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/playguide/skills/wrestling");
                        break;
                    }

                #endregion Edited By: A.A.R

                #endregion Edited By: A.A.R

                #region What Type Of Creatures Does This Server Offer?

                case ("bestiary"):
                    {
                        Say(String.Format("We've got a lot of creatures on the server {0}.", args.Mobile.Name));
                        Say(String.Format("Allow me to redirect you to our online bestiary.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/bestiary");
                        break;
                    }

                #endregion Edited By: A.A.R

                #region A Staff Member Touched My Naughty Place!
                //Staff Could Get Abusive, This Is A Way To Deal With It - Or Not
              
                case ("report staff"):
                    {
                        Say(String.Format("So you don't think I'm doing a good job {0}?", args.Mobile.Name));
                        Say(String.Format("Fine, report me to our Administration Team!", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("mailto:complaints@yoursitename.com");
                        break;
                    }

                #endregion Edited By: A.A.R

                #region What's The Server's Website Info?

                case ("website"):
                    {
                        Say(String.Format("Sure, allow me to point your browser to the url!", args.Mobile.Name));
                        Say(String.Format("Feel join our community, if you haven't already.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com");
                        break;
                    }

                #endregion Edited By: A.A.R

                #region I Love This Server! May I Make A Suggestion?
                //Everyone Has Their Own Ideas On How They Think Things Should Be

                case ("suggestion"):
                    {
                        args.Mobile.SendGump(new Suggestion());
                        Say(String.Format("We would really appreciate your input {0}. Thank you.", args.Mobile.Name));
                        Say(String.Format("If you have any other suggestions, please let us know!", args.Mobile.Name));
                        break;
                    }

                #endregion Edited By: A.A.R

                #region Hey, Are You Guys Hiring? Gimme A Job!
                //A Toggle! Just Uncomment Which Response You'd Like To Give Your Players

                #region Yes, Staff Is Hiring
                //An Easy Way Of Directing Your Players To Your Staff Member Application
                /*
                case ("hiring"):
                    {
                        Say(String.Format("Absolutely {0}! Staffing positions are available now.", args.Mobile.Name));
                        Say(String.Format("Please visit our servers website for more information.", args.Mobile.Name));
                        Say(String.Format("Thank you for your interest! We hope to hear from you!", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/staffapplication");
                        break;
                    }
                */
                #endregion Edited By: A.A.R

                #region No, We're Not Hiring
                //A Nice Way Of Saying, "Dude! Stop Asking If You Can Be A Staff Member!!"

                case ("hiring"):
                    {
                        Say(String.Format("Our apologies {0}, We're just not hiring at this time.", args.Mobile.Name));
                        Say(String.Format("We'll post available positions on our server website,", args.Mobile.Name));
                        Say(String.Format("as they open up, please be patient and check back soon.", args.Mobile.Name));
                        break;
                    }

                #endregion Edited By: A.A.R

                #endregion Edited By: A.A.R

                #region Another Player Is Harassing Me! Help!!
                //School Your Players On What Consitutes Harassment And Rule Breaking

                case ("report player"):
                    {
                        Say(String.Format("Please assist us by sending our staff an email which includes:", args.Mobile.Name));
                        Say(String.Format("(1) The names of the characters involved.", args.Mobile.Name));
                        Say(String.Format("(2) A brief description of what happened.", args.Mobile.Name));
                        Say(String.Format("(3) Screenshots of the reported incident.", args.Mobile.Name));
                        Say(String.Format("(4) The Date and time this issue occured.", args.Mobile.Name));
                        Say(String.Format("You may report a player only if they break our Terms of Service.", args.Mobile.Name));
                        Say(String.Format("Please read this agreement before submitting your report.", args.Mobile.Name));
                        args.Mobile.LaunchBrowser("mailto:yourname@yoursitename.com");
                        args.Mobile.LaunchBrowser("http://www.yoursitename.com/termsofservice");
                        break;
                    }

                #endregion Edited By: A.A.R               

            }
        }

        #endregion Edited By: A.A.R
		
		public override bool OnDragDrop( Mobile from, Item dropped )
		{
			Mobile m = from;
			PlayerMobile mobile = m as PlayerMobile;
			
			from.SendMessage ("I appreciate the offer, but I do this job out of the love for the game.");
			return false;
		}
        
        public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}  
	}
}